<template>
  <tr>
    <td>{{ user1.date }}</td>
    <td>{{ user1.description }}</td>
    <td>{{ user1.starttime }}</td>
    <td>{{ user1.endtime }}</td>
    <td>
      <button class="btndel" @click="deleteUser">
        <i class="fas fa-trash-alt"></i>
      </button>

      <button class="btnedit" @click="edit">
        <i class="fas fa-user-edit"></i>
      </button>
    </td>
  </tr>
</template>
<script>
export default {
  name: "ReserveAppointmentitem",
  components: {},
  props: {
    user1: {
      propType: Object,
      required: true
    }
  },
  data() {
    return {};
  },

  methods: {

    deleteUser() {
      this.$emit("btndelete", this.user1.id);
    },
    edit() {
      this.$emit("btnedit", this.user1);
    }
  }
};
</script>

.btndel { cursor: pointer; margin-bottom: 8px; height: 30px; width: 60px;
margin-left: 4px; } .btnedit { cursor: pointer; height: 30px; width: 60px; }
.item-contact { display: flex; justify-content: center; } .fas { color: #ff7200;
}
